Bug 587474 - SELinux is preventing /opt/google/chrome/chrome "open" access on /opt/google/chrome/chrome.pak.
SELinux is preventing /opt/google/chrome/chrome "open" access on /opt/go...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:55662cd2dcb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 21:06 EDT by nhfrank
Modified: 2010-11-04 06:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 06:50:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nhfrank 2010-04-29 21:06:11 EDT
Summary:

SELinux is preventing /opt/google/chrome/chrome "open" access on
/opt/google/chrome/chrome.pak.

Detailed Description:

[chrome has a permissive type (chrome_sandbox_t). This access was not denied.]

SELinux denied access requested by chrome. It is not expected that this access
is required by chrome and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:usr_t:s0
Target Objects                /opt/google/chrome/chrome.pak [ file ]
Source                        chrome
Source Path                   /opt/google/chrome/chrome
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-beta-5.0.342.9-43360
Target RPM Packages           google-chrome-beta-5.0.342.9-43360
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux moc 2.6.32.11-99.fc12.i686.PAE #1 SMP Mon
                              Apr 5 16:15:03 EDT 2010 i686 i686
Alert Count                   1
First Seen                    Sat 24 Apr 2010 08:43:33 PM EDT
Last Seen                     Sat 24 Apr 2010 08:43:33 PM EDT
Local ID                      6ddd86fd-eb2d-4bab-969f-30f4118d6e90
Line Numbers                  

Raw Audit Messages            

node=moc type=AVC msg=audit(1272156213.216:101): avc:  denied  { open } for  pid=5543 comm="chrome" name="chrome.pak" dev=dm-0 ino=262293 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=moc type=SYSCALL msg=audit(1272156213.216:101): arch=40000003 syscall=5 per=400000 success=yes exit=9 a0=a433a94 a1=8000 a2=0 a3=0 items=0 ppid=0 pid=5543 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chrome" exe="/opt/google/chrome/chrome" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,chrome,chrome_sandbox_t,usr_t,file,open
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t usr_t:file open;
Comment 1 Miroslav Grepl 2010-04-30 02:38:58 EDT
It was fixed in selinux-policy-3.6.32-113.fc12.

If you want to test the update, you can install it with 
su -c 'yum --enablerepo=updates-testing update selinux-policy-targeted'.  

You can provide feedback for this update here:
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-113.fc12
Comment 2 Bug Zapper 2010-11-03 12:00:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.